﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="SyncMetadata.aspx.cs" Inherits="SyncMetadataCS" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Metadata Synchronization Utility</title>
    <link href="https://github.com/jackmoore/colorbox/raw/master/example4/colorbox.css"
        rel="Stylesheet" type="text/css" />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.4.4/jquery.min.js" type="text/javascript"></script>
    <script src="https://github.com/jackmoore/colorbox/raw/master/colorbox/jquery.colorbox-min.js"
        type="text/javascript"></script>
    <script type="text/javascript" language="javascript">
        function sync_metadata(id, lang, value) {
            wait(true);
            $('#metadataid').val(id);
            $('#metadataValue').val(value);
            $('#metadataLang').val(lang);
            //form1.Submit();
            $('#btn').click();
        }
        var loadingImg = new Image();
        loadingImg.src = '<%=api.RequestInformationRef.ApplicationPath %>images/UI/loading_small.gif';
        function wait(bool) {
            if (bool) {
                $('#wait').html('<img src="<%=api.RequestInformationRef.ApplicationPath %>images/UI/loading_small.gif" alt="please wait..." />');
            }
            else {
                $('#wait').html('');
            }
        }
        $(document).ready(function () {
            if ($('input[value="Synchronize"]').length > 0) {
                $('#syncAll').show(0);
            }
            else { $('#syncAll').hide(0); }
            $('#syncAll').click(function () {
                if (confirm('All Metadata will be synced.\nContinue?'))
                    window.location.href = document.URL.split('?')[0] + '?syncAll=t';
            });
            $('.refresh').click(function () {
                wait(true);
                window.location.href = document.URL;
            });
            $('.diag_ActionButton').click(function () {
                if (Page_IsValid) {
                    $('.diag_Status').html('<img src="<%=api.RequestInformationRef.ApplicationPath %>images/UI/loading_small.gif" alt="please wait..." />');
                }
            });
            $('#uName, #pWord').keypress(function (e) {
                var key;
                if (window.event) key = event.keyCode;
                else key = e.which;
                if (key == '13') {
                    $('#ewsRestart').click();
                    return false;
                }

            });
        });
        function syncNext() {
            if ($('input[value="Synchronize"]').length > 0) {
                $('input[value="Synchronize"]')[0].click();
            }
        }
        function syncFinale() {
            if (confirm('To complete Metadata Synchronization the Ektron Windows Service must restart.\n' +
                'This will also clear the perform_action table.\n\nRestart Ektron Windows Service?')) {
                $().colorbox({
                    inline: true,
                    title: 'Restart Ektron Windows Service',
                    href: '#metaSyncDiag',
                    onComplete: function () {
                        $('#form1').append($('#colorbox'));
                        $('#uName').focus();
                    }
                });
            }
        }
    </script>
    <style type="text/css">
        .box
        {
            border-right: black 1px solid;
            border-top: black 1px solid;
            border-left: black 1px solid;
            border-bottom: black 1px solid;
        }
        .even
        {
            background-color: #e0ffff;
        }
        .odd
        {
            background-color: white;
        }
        .diag_Title 
        {
        	width: 100%; 
        	background-color: cornflowerblue;
        	color: black;
        	font-size: 17px;
        	font-weight: normal;
        	padding: 5px 2px 5px 10px;
        	-moz-border-radius: 5px;
            border-radius: 5px;
        } 
        .diag_Text 
        {
        	padding: 5px;
        }
        .diag_Outline
        {
        	background: none;
        	border: 2px solid cornflowerblue;
        	color: cornflowerblue;
        }
        .diag_Main 
        {
        	max-width: 500px; 
        	padding: 12px; 
        	margin-bottom: 5px;
        }
        .diag_Log 
        {
        	margin-top: 7px;
        	padding: 2px 0 2px 5px;
        }
        .diag_InputBlock 
        {
        	padding: 2px 0 2px 5px;
        }
        .diag_InputField
        {
        	display: inline-block; 
        	width: 325px; 
        	text-align: left;
        }
        .diag_InputLabel
        {
        	display: inline-block; 
        	float: left; 
        	width: 150px; 
        	text-align: left;
        }
        .diag_Button
        {
        	display: inline-block; 
        	float: left; 
        	width: 70%; 
        	text-align: right; 
        	height: 20px; 
        }
        .diag_ButtonWrap
        {
        	width: 100%;
        	height: 25px;
        	vertical-align: middle;
        	margin-top: 10px;
        }
        .diag_Status 
        {
        	display: inline-block; 
        	float: left; 
        	text-align: left;
        	width: 20px;
        	height: 20px;
        	margin-left: 10px;
        }
        .diag_StatusLog 
        {
        	padding-left: 5px;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <div style="width: 550px;">
        <div style="padding-bottom: 20px; padding-left: 10px; padding-top: 15px; border-bottom: 1px inset blue;
            width: 500px;">
            <div runat="server" id="loginDiv">
                You must be logged in as a CMS admin to use this page.
                <div style="padding-top: 10px;">
                    <div style="display: inline-block; float: left; width: 100px; text-align: left;">
                        Username:
                    </div>
                    <div style="display: inline-block; width: 100px; text-align: left;">
                        <asp:TextBox runat="server" ID="username"></asp:TextBox>
                    </div>
                </div>
                <div style="padding-top: 2px; padding-bottom: 2px;">
                    <div style="display: inline-block; float: left; width: 100px; text-align: left;">
                        Password:
                    </div>
                    <div style="display: inline-block; width: 100px; text-align: left;">
                        <asp:TextBox runat="server" ID="password" TextMode="Password"></asp:TextBox>
                    </div>
                </div>
                <asp:Button runat="server" ID="loginButton" Text="Log in" OnClick="loginButton_Click" />
                <div style="color: red; padding-top: 5px;">
                    <asp:Literal runat="server" ID="loginMessage"></asp:Literal>
                </div>
            </div>
            <div runat="server" id="loggedIn" style="width: 300px; height: 30px; padding-bottom: 7px;">
                <div style="display: inline; float: left;">
                    <asp:Literal runat="server" ID="loggedInMsg"></asp:Literal>
                </div>
                <div style="display: inline; float: right;">
                    <asp:Button runat="server" ID="logoutButton" Text="Log out" OnClick="logoutButton_Click" />
                </div>
            </div>
        </div>
        <div id="metaSyncDiv" runat="server">
            <table>
                <tr>
                    <td>
                        <h2 style="color: cornflowerblue;">
                            Metadata Synchronization Utility
                            <input type="button" id="refresh" class="refresh" value="Refresh" /><span id="wait"></span>
                        </h2>
                    </td>
                </tr>
                <tr>
                    <td>
                        <table width="500px" cellspacing="0" class="box">
                            <tr style="border-bottom: black 1px solid; background-color: cornflowerblue;">
                                <td>
                                    Name
                                </td>
                                <td>
                                    Id
                                </td>
                                <td>
                                    Language
                                </td>
                                <td>
                                    Status
                                </td>
                            </tr>
                            <asp:Literal ID="ltMetadataList" runat="server"></asp:Literal>
                        </table>
                    </td>
                </tr>
            </table>
            <div style="display: none">
                <asp:Button ID="btn" runat="server" />
            </div>
            <div>
                <input type="button" id="syncAll" value="Sync All" />
            </div>
            <div><asp:Literal runat="server" ID="statusOutMsg"></asp:Literal></div>
            <div style="display: none;">
                <div id="metaSyncDiag" class="diag_Main">
                    <div class="diag_Text">
                        <div class="diag_Title">
                            To restart the Ektron Windows Service, credentials for a user with 
                            administrative access to the server (<%=serverName%>) are required.
                        </div>
                    </div>
                    <div class="diag_InputBlock" style="margin-top: 7px;">
                        <div class="diag_InputLabel">
                            Server Username:
                        </div>
                        <div class="diag_InputField">
                            <asp:TextBox runat="server" ID="uName" Width="150"></asp:TextBox>
                            <asp:RequiredFieldValidator ID="uNameValidator" runat="server" Display="Dynamic"
                                ErrorMessage="Username is required." ControlToValidate="uName" ValidationGroup="serviceHandle"></asp:RequiredFieldValidator>
                        </div>
                    </div>
                    <div class="diag_InputBlock">
                        <div class="diag_InputLabel">
                            Server Password:
                        </div>
                        <div class="diag_InputField">
                            <asp:TextBox runat="server" TextMode="Password" ID="pWord" Width="150"></asp:TextBox>
                            <asp:RequiredFieldValidator ID="pWordValidator" runat="server" Display="Dynamic"
                                ErrorMessage="Password is required." ControlToValidate="pWord" ValidationGroup="serviceHandle"></asp:RequiredFieldValidator>
                        </div>
                    </div>
                    <div class="diag_ButtonWrap">
                        <div class="diag_Button">
                            <asp:Button runat="server" ID="ewsRestart" CssClass="ewsRestartButton diag_ActionButton" Text="Restart Ektron Windows Service" OnClick="restartEws"
                                ValidationGroup="serviceHandle" />
                        </div>
                        <div class="diag_Status">
                        </div>
                    </div>
                </div>
                <div id="statusDiag" class="diag_Main">
                    <div class="diag_Text">
                        <div class="diag_Title diag_Outline">
                            Restart Ektron Windows Service: <span style="background-color: White;"><%=ewsStatus %></span>
                        </div>
                        <div class="diag_Log">
                        </div>
                    </div>
                </div>
            </div>
            <input type="hidden" id="metadataLang" name="metadataLang" value="" />
            <input type="hidden" id="metadataValue" name="metadataValue" value="" />
            <input type="hidden" id="metadataid" name="metadataid" value="" />
        </div>
    </div>
    </form>
</body>
</html>
